# Poco::Net

# class Utility

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/Utility.h

## Description

This class provides various helper functions for working with the OpenSSL library.

## Member Summary

Member Functions: clearErrorStack, convertCertificateError, convertVerificationMode, getLastError

## Member Functions

### clearErrorStack

static void clearErrorStack();

Clears the error stack

### convertCertificateError

static std::string convertCertificateError(
long errCode
);

Converts an SSL certificate handling error code into an error message.

### convertVerificationMode

static Context::VerificationMode convertVerificationMode(
const std::string & verMode
);

Non-case sensitive conversion of a string to a VerificationMode enum. If verMode is illegal an InvalidArgumentException is thrown.

### getLastError

static std::string getLastError();

Returns the last error from the error stack